FROM haskell:7.8

RUN apt-get update -y && apt-get -y --no-install-recommends install \
  build-essential \
  cpphs \
  curl \
  git \
  libblas-dev  \
  libcairo2-dev \
  libgtk2.0-dev \
  liblapack-dev \
  libmagic-dev \
  libpango1.0-dev \
  libtinfo-dev \
  libzmq3-dev \
  pkg-config \
  python3-jinja2 \
  python3-jsonschema \
  python3-pip \
  python3-zmq

# Neuere Version noetig!
RUN curl -O http://ftp.de.debian.org/debian/pool/main/g/gtk2hs-buildtools/gtk2hs-buildtools_0.13.0.3-2_amd64.deb && \
  dpkg -i gtk2hs-buildtools_0.13.0.3-2_amd64.deb && \
  rm -f gtk2hs-buildtools_0.13.0.3-2_amd64.deb

RUN pip3 install ipython tornado

RUN mkdir -p /root/.cabal && \
  cd /root/.cabal && \
  curl -O https://www.stackage.org/lts-2.14/cabal.config && \
  sed -i 's/-- remote-repo/remote-repo/' cabal.config

RUN cabal update && cabal install --global \
    cassava \
    hmatrix \
    monad-par

RUN git clone http://www.github.com/laevar/IHaskell && \
  cd IHaskell && \
  git reset --hard 5227068bd377afc12db6a3b2c3d27b03c63e17b0 && \
  sed -i 's/cabal install/cabal install --global/' build.sh && \
  ./build.sh all && \
  cd .. && \
  rm -rf IHaskell

COPY setuser /usr/local/bin/
ENTRYPOINT ["/usr/local/bin/setuser"]
# ENTRYPOINT ["/bin/bash"]
